<template>
  <div>
    <b-modal :id="modal" title="BootstrapVue" size="lg" hide-footer hide-header :body-bg-variant="'dark'"
             :body-text-variant="'light'">
      <div style="position: relative;">
        <img class="card-img-top" :src="imagen" style="opacity: .5" alt="Card image cap">
        <div style="position: absolute;top: 20px;right: 20px">
          <a href="#" class="text-white" @click="hideModal(modal)"><b-icon icon="X" class="rounded-circle border"></b-icon></a>
        </div>
        <div style="position: absolute;bottom: 20px;left:20px;right: 20px">

          <b-container class="bv-example-row">
            <b-row>
              <b-col cols="10">
                <b-button variant="light" size="sm"><b-icon icon="play" style="color: black"></b-icon> Play</b-button>
                <span class="h4 mb-2"><b-icon icon="plus" @click="opcion('Agregar')" class="rounded-circle border ml-2"></b-icon></span>
                <span class="h4 mb-2"><b-icon icon="hand-thumbs-up" @click="opcion('Me gusta')" class="rounded-circle border  ml-2"></b-icon></span>
                <span class="h4 mb-2"><b-icon icon="hand-thumbs-down" @click="opcion('No me gusta')" class="rounded-circle border ml-2"></b-icon></span>
              </b-col>
              <b-col class="text-right">
                <span class="h4 mb-2" ><b-icon icon="volume-mute-fill" @click="opcion('Silencio')" class="rounded-circle border ml-2"></b-icon></span>

              </b-col>
            </b-row>
          </b-container>
        </div>
      </div>
      <div>
        <b-container class="mt-3">
          <b-row>
            <b-col cols="8">
              <p style="font-size: 9px">
                <b class="text-success" @click="opcion('La opcion')">98% Match</b> <b-badge>18+</b-badge> 5 Season <b-badge>HD</b-badge>
              </p>

              <p class="text-justify" style="font-size: 11px">
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum fringilla sagittis urna quis rutrum. Donec ligula purus, ultrices id imperdiet et, condimentum vel nisi. Cras non odio in leo elementum lacinia. Nulla id nisi ac dolor rhoncus tincidunt. Nulla vitae enim non ipsum hendrerit pellentesque. Sed condimentum rhoncus placerat. Mauris tempus lectus tincidunt magna imperdiet, ac tristique tortor tincidunt. Quisque vel nisl non ex luctus viverra.
              </p>
            </b-col>

            <b-col class="mt-3">
              <p  style="font-size: 11px"><span class="text-secondary">Cast:</span> Bryan Cranston, Aaron Paul, Anna Gunn, more</p>

              <p  style="font-size: 11px"><span class="text-secondary">Genres:</span> Crime TV Shows, TV Thrillers, TV Dramas</p>

              <p  style="font-size: 11px"><span class="text-secondary">This show is:</span> Violent, Gritty, Dark</p>
            </b-col>
          </b-row>
        </b-container>
      </div>
    </b-modal>
  </div>
</template>

<script>
export default {
  name: "estadoTres",
  props:['imagen','modal'],
  methods:{
    hideModal(modal) {
      this.$bvModal.hide(modal);
    },
    opcion(miOpcion){
      alert("El usuario a seleccionado '"+miOpcion+"'");
    }
  }
}
</script>

<style scoped>

</style>
